<template>
  <article>
    <main-heading> </main-heading>
    <div class="intro-main">
      <div class="is-repositioned">
        <base-scroll-animation
          :type="'fade'"
          :duration="1500"
          :delay="750"
          :once="true"
        >
          <template v-slot:animate>
            <img :src="getImage('am-portrait-1.jpg')" alt="Maples Portrait" />
          </template>
        </base-scroll-animation>
      </div>
      <intro-copy> </intro-copy>
    </div>

    <div class="sub-content">
      <div class="sub-icon">
        <kinesis-container event="scroll" tag="div">
          <kinesis-element tag="div" :strength="400">
            <img :src="getImage('am-skull-horns.png')" alt="Devil icon" />
          </kinesis-element>
        </kinesis-container>
      </div>
      <div class="sub-portrait">
        <base-scroll-animation :type="'fade'" :duration="2000" :once="true">
          <template v-slot:animate>
            <img
              :src="getImage('am-portrait-2.jpg')"
              alt="Maples on Motorcycle"
            />
          </template>
        </base-scroll-animation>
      </div>
    </div>
  </article>
</template>

<script>
import MainHeading from "../Headings/MainHeading";
import IntroCopy from "../Copy/IntroCopy";
// import AOS from "aos";
// import "aos/dist/aos.css";

export default {
  components: {
    MainHeading,
    IntroCopy
  },
  // created() {
  //   AOS.init();
  // },
  // created() {
  //   window.addEventListener("scroll", this.handleScroll);
  // },
  // beforeUnmount() {
  //   window.removeEventListener("scroll", this.handleScroll);
  // },
  data() {
    return {
      isRotating: false,
      isDone: false
    };
  },
  methods: {
    getImage(path) {
      return require(`@/assets/img/${path}`);
    }
    // handleScroll() {
    //   if (window.scrollY >= 10 && window.scrollY <= 100) {
    //     this.isRotating = true;
    //     this.isDone = false;
    //   } else if (window.scrollY <= 10 && window.scrollY === 0) {
    //     this.isDone = true;
    //   }
    // }
  }
};
</script>

<style lang="scss" scoped>
@import "~@/assets/scss/config/_variables";

article {
  position: relative;
  padding-left: 0.5rem;
  padding-right: 0.5rem;
  padding-top: 8rem;

  @media all and (min-width: $intro-mobilebreak) {
    padding-top: 6rem;
    padding-left: 1.9rem;
    padding-right: 0;
  }

  @media all and (min-width: $intro-midbreak) {
    padding-left: 7.2rem;
    padding-top: 10.5rem;
  }
}
.sub {
  &-content {
    margin-left: auto;
    padding-left: 0;
    padding-right: 0;
    padding-bottom: 2rem;
    display: flex;
    flex-flow: column nowrap;
    align-items: flex-end;
    justify-content: space-between;
    @media all and (min-width: $intro-mobilebreak) {
      padding-top: 3.5rem;
      padding-bottom: 19.5rem;
      padding-left: 1rem;
      padding-right: 2rem;
      flex-flow: row nowrap;
      align-items: center;
      margin-right: 0;
    }

    @media all and (min-width: 1024px) {
      padding-right: 3.3rem;
      padding-bottom: 10.3rem;
    }
    @media all and (min-width: $intro-midbreak) {
      margin-right: 0;
      padding-top: 9.5rem;
      padding-right: 5.3rem;
      padding-bottom: 17.3rem;
    }
  }
  &-portrait {
    flex-basis: auto;
    position: relative;
    z-index: 1;

    @media all and (min-width: $intro-mobilebreak) {
      flex-basis: 32.2rem;
    }
    @media all and (min-width: 1024px) {
      flex-basis: 42.2rem;
    }
    @media all and (min-width: $intro-midbreak) {
      flex-basis: auto;
      width: auto;
    }
    @media all and (min-width: 1920px) {
      width: 60rem;
    }
  }
  &-icon {
    max-width: 4.5rem;
    padding-right: 0.8rem;
    position: relative;
    z-index: 2;
    @media all and (min-width: $intro-mobilebreak) {
      max-width: initial;
      padding-right: 0;
      flex-basis: 6.7rem;
    }
    @media all and (min-width: 1024px) {
      flex-basis: auto;
    }
  }
}

.is-repositioned {
  position: relative;
  z-index: 1;
  padding: 0;
  max-width: initial;
  justify-self: center;
  @media all and (min-width: $intro-mobilebreak) {
    transform: translate(0, -5.5rem);
    max-width: 21.55rem;
  }
  @media all and (min-width: 1024px) {
    max-width: 25.55rem;
    transform: translate(1.5rem, -7.1rem);
  }
  @media all and (min-width: $intro-midbreak) {
    transform: translate(2.5rem, -5.1rem);
    max-width: initial;
  }
  @media all and (min-width: 1920px) {
    img {
      // min-width: 41.6rem;
      min-width: 39.1rem;
    }
  }
}

.intro {
  &-main {
    display: grid;
    grid-template-columns: auto;

    @media all and (min-width: $intro-mobilebreak) {
      grid-template-columns: auto 1fr;
      grid-gap: 1rem;
    }
    @media all and (min-width: 1024px) {
      grid-gap: 4rem;
    }
    @media all and (min-width: $intro-midbreak) {
      grid-gap: 7rem;
    }
  }
}
</style>
